import { OnInit, OnChanges } from '@angular/core';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { Product } from '../../../interfaces/product';
import { AnalyticsService } from '../../../services/analytics.service';
export declare class BlockProductsEcComponent extends ComponentHelper implements OnInit, OnChanges {
    protected consts: Constants;
    private analyticsService;
    products: Product[];
    meta: any;
    options: any;
    constructor(consts: Constants, analyticsService: AnalyticsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    boxesInlcudesCode: (box: string) => any;
    getKeyByValue(object: any, value: any): string;
}
